# Prometheus Metrics

> **Info:** Only available in the Dedicated tier and above on Hatchet Cloud, [reach
>   out](https://hatchet.run/office-hours) to upgrade.

Hatchet exports Prometheus Metrics for your tenant which can be scraped with services like Grafana and DataDog.

## Tenant Metrics

> **Warning:** Only works with v1 tenants

Metrics for individual tenants are available in Prometheus Text Format via a REST API endpoint.

### Endpoint

```
GET /api/v1/tenants/{tenantId}/prometheus-metrics
```

### Authentication

The endpoint requires Bearer token authentication using a valid API token:

```
Authorization: Bearer 
```

### Response Format

The response is returned in standard Prometheus Text Format, including:

- HELP comments describing each metric
- TYPE declarations (counter, gauge, etc.)
- Metric samples with labels and values

### Example Usage

```bash
curl -H "Authorization: Bearer your-api-token-here" \
  https://cloud.onhatchet.run/api/v1/tenants/707d0855-80ab-4e1f-a156-f1c4546cbf52/prometheus-metrics
```
